
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef demo_ERROR_H
#define demo_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_demo    (9000)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_demo_INVALID_SPEED        H2_ENCODE_ERR(M_demo      , 1)
#define S_demo_TOO_FAR_AWAY         H2_ENCODE_ERR(M_demo      , 2)


/* std errors */
#define S_demo_stdGenoM_ACTIVITY_INTERRUPTED       589882369   /* 9000<<16 | 0x8000 | 100<<8 | 1 */
#define S_demo_stdGenoM_TOO_MANY_ACTIVITIES        589882370   /* 9000<<16 | 0x8000 | 100<<8 | 2 */
#define S_demo_stdGenoM_ACTIVITY_FAILED            589882371   /* 9000<<16 | 0x8000 | 100<<8 | 3 */
#define S_demo_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 589882372   /* 9000<<16 | 0x8000 | 100<<8 | 4 */
#define S_demo_stdGenoM_UNKNOWN_ACTIVITY           589882373   /* 9000<<16 | 0x8000 | 100<<8 | 5 */
#define S_demo_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 589882374   /* 9000<<16 | 0x8000 | 100<<8 | 6 */
#define S_demo_stdGenoM_SYSTEM_ERROR               589882375   /* 9000<<16 | 0x8000 | 100<<8 | 7 */
#define S_demo_stdGenoM_ACTIVITY_ALREADY_ENDED     589882376   /* 9000<<16 | 0x8000 | 100<<8 | 8 */
#define S_demo_stdGenoM_WAIT_INIT_RQST             589882377   /* 9000<<16 | 0x8000 | 100<<8 | 9 */
#define S_demo_stdGenoM_CONTROL_CODEL_ERROR        589882378   /* 9000<<16 | 0x8000 | 100<<8 | 10 */
#define S_demo_stdGenoM_EXEC_TASK_SUSPENDED        589882379   /* 9000<<16 | 0x8000 | 100<<8 | 11 */
#define S_demo_stdGenoM_BAD_BLOCK_TYPE             589882380   /* 9000<<16 | 0x8000 | 100<<8 | 12 */
#define S_demo_stdGenoM_BAD_POSTER_TYPE            589882381   /* 9000<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define DEMO_H2_ERR_MSGS {\
    {"INVALID_SPEED", 1}, \
    {"TOO_FAR_AWAY", 2},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int demoRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
